Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024784
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2013-09-16 18:022014-03-04 11:32
ReporteregoitzView Statuspublic 
Assigned Topramakrishnan 
PriorityurgentResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revision4d08c67b088e
ProjectionnoneETAnoneTarget Version3.0MP28
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toegoitz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024784: A join is missing on the selects on the UpdateTransactionBPExchangeRate modulescriopt

DescriptionPerformance problems when executing an update.database caused by the UpdateTransactionBPExchangeRate modulescript.
There are 2 selects using two tables but there is not a oin between both tables.
The methods are selectCheckBP and updateBP on the
modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/org/openbravo/advpaymentmngt/modulescript/UpdateTransactionBPExchangeRate_data.xsql
file
Steps To Reproduce-Check the methods on the following file:

modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/org/openbravo/advpaymentmngt/modulescript/UpdateTransactionBPExchangeRate_data.xsql
Proposed SolutionUse a join
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0061336)
hgbot (developer)
2013-09-23 08:27

Repository: erp/devel/pi
Changeset: adbac66770f0b9393c4db98c1ae9bd771e0b01f9
Author: Pandeeswari Ramakrishnan <pandeeswari.ramakrishnan <at> openbravo.com>
Date: Sun Sep 22 19:12:38 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/adbac66770f0b9393c4db98c1ae9bd771e0b01f9 [^]

Fixes Issue 24784: Missing 'Join' in UpdateTransactionBPExchangeRate modulescript

---
M modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/org/openbravo/advpaymentmngt/modulescript/UpdateTransactionBPExchangeRate_data.xsql
M modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/src/org/openbravo/advpaymentmngt/modulescript/UpdateTransactionBPExchangeRateData.java
---
(0061337)
pramakrishnan (developer)
2013-09-23 08:29

Reopened to update review assigned to
(0061344)
egoitz (developer)
2013-09-23 10:09

verified
(0061375)
hudsonbot (developer)
2013-09-24 20:10

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/af5a5f1a0fe1 [^]

Maturity status: Test
(0064347)
egoitz (developer)
2014-02-19 11:36

The .class files generated are missing.
It is needed to push also the class files generated using

ant compile.modulescript -Dmodule=javapackageofmodule
(0064358)
hgbot (developer)
2014-02-19 13:27

Repository: erp/devel/pi
Changeset: 4d08c67b088e1f16086d9e2741a6c06981155601
Author: Pandeeswari Ramakrishnan <pandeeswari.ramakrishnan <at> openbravo.com>
Date: Wed Feb 19 17:50:18 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/4d08c67b088e1f16086d9e2741a6c06981155601 [^]

Fixes Issue 24784: Added class file.

---
M modules/org.openbravo.advpaymentmngt/build/classes/org/openbravo/advpaymentmngt/modulescript/UpdateTransactionBPExchangeRateData.class
---
(0064454)
hudsonbot (developer)
2014-02-20 16:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/18b4af8b32eb [^]
Maturity status: Test
(0064790)
egoitz (developer)
2014-03-04 11:32

verified

- Issue History
Date Modified Username Field Change
2013-09-16 18:02 egoitz New Issue
2013-09-16 18:02 egoitz Assigned To => dmiguelez
2013-09-16 18:02 egoitz Modules => Core
2013-09-16 18:02 egoitz Triggers an Emergency Pack => No
2013-09-16 18:03 egoitz Tag Attached: Performance
2013-09-16 18:03 egoitz Target Version => 3.0MP28
2013-09-18 12:10 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2013-09-18 16:26 jonalegriaesarte Assigned To jonalegriaesarte => pramakrishnan
2013-09-23 08:27 hgbot Checkin
2013-09-23 08:27 hgbot Note Added: 0061336
2013-09-23 08:27 hgbot Status new => resolved
2013-09-23 08:27 hgbot Resolution open => fixed
2013-09-23 08:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/adbac66770f0b9393c4db98c1ae9bd771e0b01f9 [^]
2013-09-23 08:29 pramakrishnan Note Added: 0061337
2013-09-23 08:29 pramakrishnan Status resolved => new
2013-09-23 08:29 pramakrishnan Resolution fixed => open
2013-09-23 08:30 pramakrishnan Review Assigned To => egoitz
2013-09-23 08:30 pramakrishnan Status new => scheduled
2013-09-23 08:30 pramakrishnan Status scheduled => resolved
2013-09-23 08:30 pramakrishnan Resolution open => fixed
2013-09-23 10:09 egoitz Note Added: 0061344
2013-09-23 10:09 egoitz Status resolved => closed
2013-09-23 10:09 egoitz Fixed in Version => 3.0MP28
2013-09-24 20:10 hudsonbot Checkin
2013-09-24 20:10 hudsonbot Note Added: 0061375
2014-02-19 11:36 egoitz Note Added: 0064347
2014-02-19 11:36 egoitz Status closed => new
2014-02-19 11:36 egoitz Resolution fixed => open
2014-02-19 11:36 egoitz Fixed in Version 3.0MP28 =>
2014-02-19 13:27 hgbot Checkin
2014-02-19 13:27 hgbot Note Added: 0064358
2014-02-19 13:27 hgbot Status new => resolved
2014-02-19 13:27 hgbot Resolution open => fixed
2014-02-19 13:27 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/adbac66770f0b9393c4db98c1ae9bd771e0b01f9 [^] => http://code.openbravo.com/erp/devel/pi/rev/4d08c67b088e1f16086d9e2741a6c06981155601 [^]
2014-02-20 16:33 hudsonbot Checkin
2014-02-20 16:33 hudsonbot Note Added: 0064454
2014-03-04 11:32 egoitz Note Added: 0064790
2014-03-04 11:32 egoitz Status resolved => closed
2014-03-04 11:32 egoitz Fixed in Version => 3.0MP32


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker